void talk( void )
{
if (&story > 14)
  {
  say("`9丁克他没死！！他没死！！", &current_sprite);
  return;
  }

 //guard 1
 say("`9你很勇敢，小森林爵士。", &current_sprite);
}

void hit( void )
{
int &dinky = sp_y(1, -1);
//get dinks y cord

if (&dinky < 280)
  {
   //dink is above them
   say_stop("`9是你吗丁克？", &current_sprite);

     wait(300);
   say_stop("`9你为什么要杀我们？", &current_sprite);
   return;
  }
   say_stop("`9不要啊，我们可是在你这边的啊。", &current_sprite);


}

